Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlPanelBar

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIOutput
                  javax.faces.component.UIInput
                      org.richfaces.component.UISwitchablePanel
                          org.richfaces.component.UIPanelBar
                              org.richfaces.component.html.HtmlPanelBar

All Implemented Interfaces:
  javax.faces.component.EditableValueHolder, javax.faces.component.StateHolder, javax.faces.component.ValueHolder

    public class HtmlPanelBar

extends UIPanelBar

Component-Type org.richfaces.PanelBar Component-Family org.richfaces.PanelBar Renderer-Type org.richfaces.PanelBarRenderer A component with categories sliding up and down to reveal and hide items under selected categories (as used in Microsoft Outlook).

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class org.richfaces.component.UISwitchablePanel
`AJAX_METHOD, CLIENT_METHOD, DEFAULT_METHOD, SERVER_METHOD`

Fields inherited from class javax.faces.component.UIInput
`CONVERSION_MESSAGE_ID, REQUIRED_MESSAGE_ID`

Constructor Summary
`HtmlPanelBar()` Constructor to init default renderers

Method Summary
`java.lang.String` | `getContentClass()` The component content style class Getter for contentClass
`java.lang.String` | `getContentStyle()` The component content style Getter for contentStyle
`java.lang.String` | `getFamily()`
`java.lang.String` | `getHeaderClass()` The component header style class Getter for headerClass
`java.lang.String` | `getHeaderClassActive()` The component header style class active Getter for headerClassActive
`java.lang.String` | `getHeaderStyle()` The component header style Getter for headerStyle
`java.lang.String` | `getHeaderStyleActive()` The component header style active Getter for headerStyleActive
`java.lang.String` | `getHeight()` The height of the slide panel.
`java.lang.String` | `getLabel()` A localized user presentable name for this component.
`java.lang.String` | `getOnclick()` JavaScript code for call before header onclick Getter for onclick
`java.lang.Object` | `getSelectedPanel()` Attribure defines name of selected item Getter for selectedPanel
`java.lang.String` | `getStyle()` CSS style(s) is/are to be applied when this component is rendered Getter for style
`java.lang.String` | `getStyleClass()` Corresponds to the HTML class attribute.
`java.lang.String` | `getWidth()` The width of the slide panel.
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setContentClass(java.lang.String __contentClass)` The component content style class Setter for contentClass
`void` | `setContentStyle(java.lang.String __contentStyle)` The component content style Setter for contentStyle
`void` | `setHeaderClass(java.lang.String __headerClass)` The component header style class Setter for headerClass
`void` | `setHeaderClassActive(java.lang.String __headerClassActive)` The component header style class active Setter for headerClassActive
`void` | `setHeaderStyle(java.lang.String __headerStyle)` The component header style Setter for headerStyle
`void` | `setHeaderStyleActive(java.lang.String __headerStyleActive)` The component header style active Setter for headerStyleActive
`void` | `setHeight(java.lang.String __height)` The height of the slide panel.
`void` | `setLabel(java.lang.String __label)` A localized user presentable name for this component.
`void` | `setOnclick(java.lang.String __onclick)` JavaScript code for call before header onclick Setter for onclick
`void` | `setSelectedPanel(java.lang.Object __selectedPanel)` Attribure defines name of selected item Setter for selectedPanel
`void` | `setStyle(java.lang.String __style)` CSS style(s) is/are to be applied when this component is rendered Setter for style
`void` | `setStyleClass(java.lang.String __styleClass)` Corresponds to the HTML class attribute.
`void` | `setWidth(java.lang.String __width)` The width of the slide panel.

Methods inherited from class org.richfaces.component.UIPanelBar
`broadcast, getRendersChildren, getSwitchType`

Methods inherited from class org.richfaces.component.UISwitchablePanel
`convertSwitchValue, getSwitchedFacetsAndChildren, processDecodes, processUpdates, processValidators, queueEvent, setSwitchType, updateModel`

Methods inherited from class javax.faces.component.UIInput
`addValidator, addValueChangeListener, compareValues, decode, getConvertedValue, getSubmittedValue, getValidator, getValidators, getValueChangeListener, getValueChangeListeners, isImmediate, isLocalValueSet, isRequired, isValid, removeValidator, removeValueChangeListener, setImmediate, setLocalValueSet, setRequired, setSubmittedValue, setValid, setValidator, setValue, setValueChangeListener, validate, validateValue`

Methods inherited from class javax.faces.component.UIOutput
`getConverter, getLocalValue, getValue, setConverter`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.ValueHolder
`getConverter, getLocalValue, getValue, setConverter`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlPanelBar

    public HtmlPanelBar()

  Constructor to init default renderers

Method Detail

### setContentClass

    public void setContentClass(java.lang.String __contentClass)

  The component content style class Setter for contentClass

  Parameters:
    `contentClass` - - new value

### getContentClass

    public java.lang.String getContentClass()

  The component content style class Getter for contentClass

  Returns:
    contentClass value from local variable or value bindings

### setContentStyle

    public void setContentStyle(java.lang.String __contentStyle)

  The component content style Setter for contentStyle

  Parameters:
    `contentStyle` - - new value

### getContentStyle

    public java.lang.String getContentStyle()

  The component content style Getter for contentStyle

  Returns:
    contentStyle value from local variable or value bindings

### setHeaderClass

    public void setHeaderClass(java.lang.String __headerClass)

  The component header style class Setter for headerClass

  Parameters:
    `headerClass` - - new value

### getHeaderClass

    public java.lang.String getHeaderClass()

  The component header style class Getter for headerClass

  Returns:
    headerClass value from local variable or value bindings

### setHeaderClassActive

    public void setHeaderClassActive(java.lang.String __headerClassActive)

  The component header style class active Setter for headerClassActive

  Parameters:
    `headerClassActive` - - new value

### getHeaderClassActive

    public java.lang.String getHeaderClassActive()

  The component header style class active Getter for headerClassActive

  Returns:
    headerClassActive value from local variable or value bindings

### setHeaderStyle

    public void setHeaderStyle(java.lang.String __headerStyle)

  The component header style Setter for headerStyle

  Parameters:
    `headerStyle` - - new value

### getHeaderStyle

    public java.lang.String getHeaderStyle()

  The component header style Getter for headerStyle

  Returns:
    headerStyle value from local variable or value bindings

### setHeaderStyleActive

    public void setHeaderStyleActive(java.lang.String __headerStyleActive)

  The component header style active Setter for headerStyleActive

  Parameters:
    `headerStyleActive` - - new value

### getHeaderStyleActive

    public java.lang.String getHeaderStyleActive()

  The component header style active Getter for headerStyleActive

  Returns:
    headerStyleActive value from local variable or value bindings

### setHeight

    public void setHeight(java.lang.String __height)

  The height of the slide panel. Might be defined as pixels or as percentage. The default height is 100% Setter for height

  Specified by:
    `setHeight` in class `UIPanelBar`
  Parameters:
    `height` - - new value

### getHeight

    public java.lang.String getHeight()

  The height of the slide panel. Might be defined as pixels or as percentage. The default height is 100% Getter for height

  Specified by:
    `getHeight` in class `UIPanelBar`
  Returns:
    height value from local variable or value bindings

### setLabel

    public void setLabel(java.lang.String __label)

  A localized user presentable name for this component. Setter for label

  Parameters:
    `label` - - new value

### getLabel

    public java.lang.String getLabel()

  A localized user presentable name for this component. Getter for label

  Returns:
    label value from local variable or value bindings

### setOnclick

    public void setOnclick(java.lang.String __onclick)

  JavaScript code for call before header onclick Setter for onclick

  Parameters:
    `onclick` - - new value

### getOnclick

    public java.lang.String getOnclick()

  JavaScript code for call before header onclick Getter for onclick

  Returns:
    onclick value from local variable or value bindings

### setSelectedPanel

    public void setSelectedPanel(java.lang.Object __selectedPanel)

  Attribure defines name of selected item Setter for selectedPanel

  Specified by:
    `setSelectedPanel` in class `UIPanelBar`
  Parameters:
    `selectedPanel` - - new value

### getSelectedPanel

    public java.lang.Object getSelectedPanel()

  Attribure defines name of selected item Getter for selectedPanel

  Specified by:
    `getSelectedPanel` in class `UIPanelBar`
  Returns:
    selectedPanel value from local variable or value bindings

### setStyle

    public void setStyle(java.lang.String __style)

  CSS style(s) is/are to be applied when this component is rendered Setter for style

  Parameters:
    `style` - - new value

### getStyle

    public java.lang.String getStyle()

  CSS style(s) is/are to be applied when this component is rendered Getter for style

  Returns:
    style value from local variable or value bindings

### setStyleClass

    public void setStyleClass(java.lang.String __styleClass)

  Corresponds to the HTML class attribute. Setter for styleClass

  Parameters:
    `styleClass` - - new value

### getStyleClass

    public java.lang.String getStyleClass()

  Corresponds to the HTML class attribute. Getter for styleClass

  Returns:
    styleClass value from local variable or value bindings

### setWidth

    public void setWidth(java.lang.String __width)

  The width of the slide panel. Might be defined as pixels or as percentage. The default width is 100% Setter for width

  Specified by:
    `setWidth` in class `UIPanelBar`
  Parameters:
    `width` - - new value

### getWidth

    public java.lang.String getWidth()

  The width of the slide panel. Might be defined as pixels or as percentage. The default width is 100% Getter for width

  Specified by:
    `getWidth` in class `UIPanelBar`
  Returns:
    width value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIInput`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `org.richfaces.component.UISwitchablePanel`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `org.richfaces.component.UISwitchablePanel`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.